import * as React from 'react';
import { AirshipBridge } from '../types';
export interface AirshipToastProps {
    bridge: AirshipBridge<undefined>;
    children?: React.ReactNode;
    message?: string;
    autoHideMs?: number;
    backgroundColor?: string;
    borderRadius?: number;
    fadeInMs?: number;
    fadeOutMs?: number;
    margin?: number | number[];
    maxWidth?: number;
    opacity?: number;
    padding?: number | number[];
    textColor?: string;
    textSize?: number;
}
/**
 * A semi-transparent message overlay.
 */
export declare function AirshipToast(props: AirshipToastProps): JSX.Element;
