import * as React from 'react';
import { ViewStyle } from 'react-native';
import { AirshipBridge } from '../types';
export interface AirshipDropdownProps {
    bridge: AirshipBridge<undefined>;
    children?: React.ReactNode;
    onPress?: () => void;
    autoHideMs?: number;
    backgroundColor?: string;
    borderRadius?: number;
    flexDirection?: ViewStyle['flexDirection'];
    justifyContent?: ViewStyle['justifyContent'];
    margin?: number | number[];
    maxHeight?: number;
    maxWidth?: number;
    padding?: number | number[];
    slideInMs?: number;
    slideOutMs?: number;
}
/**
 * A notification that slides down from the top of the screen.
 */
export declare function AirshipDropdown(props: AirshipDropdownProps): JSX.Element;
